function [f] = eval_a(x,Params)
//**********************************************************************
//* $Id$ 
//* $Source$
//*
//* Part of SCILAB Mex interface for IPOPT
//*
//* This code is published under the Common Public License
//* http://www.opensource.org/licenses/cpl.php
//*
//* Copyright (C) 2004; All Rights Reserved
//*
//* Claas Michalik <Michalik<at>LPT<dot>RWTH-Aachen<dot>de>
//* Process Systems Engineering Institute, RWTH Aachen
//*
//* Steinar Hauan <hauan@cmu.edu>
//* Dept of ChemE, Carnegie Mellon University
//*
//* Modifications to Scilab Interface made by
//* Edson Cordeiro do Valle <edsoncv@vrtech.com.br>
//* Departamento de Desenvolvimento e Tecnologia, VRTech Tecnologias Industriais LTDA.
//* www.vrtech.com.br
//**********************************************************************



// Compute the Jacobian of the constraints


f = zeros(2,5); // This is critical to make sure the function
                // returns a matrix of correct size
f(1,1) = x(2) * x(3) * x(4);
f(1,2) = x(1) * x(3) * x(4);
f(1,3) = x(1) * x(2) * x(4);
f(1,4) = x(1) * x(2) * x(3);
f(1,5) = -1;
f(2,1) = 2*x(1);
f(2,2) = 2*x(2);
f(2,3) = 2*x(3);
f(2,4) = 2*x(4);
f(2,5) = 0;


// Here the following line is comennted out and a full matrix is
// returned but either way should work fine

f = sparse(f);
f=mtlb_sparse(f);
endfunction

