function [f] = eval_h(x,Params,lam)
//**********************************************************************
//* $Id$ 
//* $Source$
//*
//* Part of SCILAB Mex interface for IPOPT
//*
//* This code is published under the Common Public License
//* http://www.opensource.org/licenses/cpl.php
//*
//* Copyright (C) 2004; All Rights Reserved
//*
//* Claas Michalik <Michalik<at>LPT<dot>RWTH-Aachen<dot>de>
//* Process Systems Engineering Institute, RWTH Aachen
//*
//* Steinar Hauan <hauan@cmu.edu>
//* Dept of ChemE, Carnegie Mellon University
//*
//* Modifications to Scilab Interface made by
//* Edson Cordeiro do Valle <edsoncv@vrtech.com.br>
//* Departamento de Desenvolvimento e Tecnologia, VRTech Tecnologias Industriais LTDA.
//* www.vrtech.com.br
//**********************************************************************



// Calculates the Hessian of the Langragian


f = zeros(5,5); 



//lower diagonal of the Hessian of the Lagrangian

f(1,1) = 2 * x(4) + lam(2)*2;
f(2,1) = x(4) + lam(1)*x(3)*x(4);
f(3,1) = x(4) + lam(1)*x(2)*x(4);
f(4,1) = 2*x(1) + x(2) + x(3) + lam(1)*x(2)*x(3);
f(2,2) = 2*lam(2);
f(3,2) = lam(1)*x(1)*x(4);
f(4,2) = x(1) + lam(1)*x(1)*x(3);
f(3,3) = 2*lam(2);
f(4,3) = x(1) + lam(1)*x(1)*x(2);
f(4,4) = 2*lam(2);

f=sparse(f)
f = mtlb_sparse(f);       // creates a sparse matrix 
endfunction


